Name:		qubes-core-admin-client
Version:    4.1.4
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz

%description
This package include managemt tools, like qvm-*.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-daemon
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-gui.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin


%changelog
* Mon Jan 27 2020 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client

* Mon Jan 27 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cf2a70e
- version 4.1.4

* Mon Jan 27 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eeb5101
- debian: really drop python2 build

* Mon Jan 27 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 831ddc1
- version 4.1.3

* Mon Jan 27 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 2597ed0
- Use qubes.VMExec in run_with_args()

* Mon Jan 27 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 8416c03
- Document the new behaviour of qvm-run with arguments

* Fri Jan 24 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - ff9b81c
- qvm-run: use qubes.VMExec, if available

* Fri Jan 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 47188a3
- Merge remote-tracking branch 'origin/pr/128'

* Thu Jan 23 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 9cf05e5
- Import data using ImportWithSize call, not manual resizing

* Tue Jan 21 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - bf78aeb
- qvm-remove: improve error message

* Fri Jan 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 204c33a
- Merge remote-tracking branch 'origin/pr/127'

* Fri Jan 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 31db7ec
- Merge remote-tracking branch 'origin/pr/124'

* Thu Jan 16 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 405464a
- qvm-shutdown: report errors, don't crash on DispVMs

* Thu Jan 16 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 88f177f
- Add missing docstrings

* Thu Jan 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - de19691
- Merge remote-tracking branch 'origin/pr/123'

* Thu Jan 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 331b5d4
- Merge remote-tracking branch 'origin/pr/122'

* Wed Jan 15 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d302aea
- Drop Python2 support

* Wed Jan 15 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 023f2f5
- Add a test for vm.get_mem()

* Wed Jan 15 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - e561259
- Update tests to mock admin.vm.CurrentState

* Wed Jan 15 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - 0659e37
- qvm-ls: display memory as integer number

* Wed Jan 15 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - d5c9328
- Use admin.vm.CurrentState method for power state and memory

* Wed Jan 15 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - c35c2f9
- Add test for qvm-ls --all

* Wed Jan 15 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - b112ef2
- qvm-ls: don't exclude dom0 when using --all

* Tue Jan 14 2020 tetrahedras <tetrahedrass> - e3e0bb7
- add --wait documentation for qvm-shutdown

* Mon Dec 09 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 1b53de8
- Fixed Exceptions inferiting from KeyError

* Sat Nov 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9f5ac8d
- version 4.1.2

* Tue Nov 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a722e42
- Merge remote-tracking branch 'origin/pr/119'

* Tue Nov 19 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 05edea7
- Fixed metadata usage being served as strings

* Sun Nov 17 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - ba1601b
- Fixed overeager assert

* Wed Nov 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9ba2ad2
- version 4.1.1

* Tue Nov 12 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6444d31
- Merge remote-tracking branch 'origin/pr/115'

* Mon Nov 11 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - d877671
- Added an exception for backup already in progress

* Mon Nov 11 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7ae8b86
- tests: make PEP8 and pylint happy

* Mon Nov 11 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 056d747
- tests: add default_guivm and guivm in utils properties

* Mon Nov 11 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6b50953
- utils: make PEP8 happy

* Mon Nov 11 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f71b63d
- utils: handle default_guivm and guivm properties

* Sun Nov 10 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6b5e695
- prefs: handle 'none' value for guivm

* Sat Nov 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6e76d1c
- Merge remote-tracking branch 'origin/pr/111'

* Fri Nov 08 2019 Rot127 <bla.52@gmx.net> - 008daa9
- Add tests for --tree option of qvm-ls

* Fri Nov 08 2019 Rot127 <bla.52@gmx.net> - e5d4cd1
- Sort domains in network tree list

* Fri Nov 08 2019 Rot127 <bla.52@gmx.net> - a732953
- network tree manpage entry added

* Mon Nov 04 2019 Saswat Padhi <saswat.sourav@gmail.com> - 28321dd
- Preserve backward compatibility

* Sun Nov 03 2019 Saswat Padhi <padhi@cs.ucla.edu> - 40bea97
- Updated qvm-pool.rst file

* Sun Nov 03 2019 Saswat Padhi <padhi@cs.ucla.edu> - f9cf088
- Added a new test and minor updates to others

* Sun Nov 03 2019 Saswat Padhi <padhi@cs.ucla.edu> - 5da0216
- Fixed a bug and removed unused import

* Sun Nov 03 2019 Saswat Padhi <padhi@cs.ucla.edu> - 704bf50
- Updated tests for qvm-pool

* Sun Nov 03 2019 Saswat Padhi <padhi@cs.ucla.edu> - 434d8c6
- Improvements to qvm-pool argument parser

* Fri Nov 01 2019 Rot127 <bla.52@gmx.net> - 566aefd
- added feature to list domains as network tree

* Wed Oct 23 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 81b3152
- Merge remote-tracking branch 'origin/pr/110'

* Wed Oct 23 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - d92fdd1
- Added pool.usage_details API method

* Tue Oct 22 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - cb82606
- Fixed error with import

